Index: src/edu/ucsb/nceas/metacat/dataone/CrudService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/CrudService.java	(revision 5623)
+++ src/edu/ucsb/nceas/metacat/dataone/CrudService.java	(revision 5624)
@@ -211,7 +211,7 @@
         }
         catch(Exception e)
         {
-            throw new ServiceFailure("1000", "Error authenticating with metacat: " + e.getMessage());
+            throw new ServiceFailure("1620", "Error authenticating with metacat: " + e.getMessage());
         }
     }
     
@@ -293,7 +293,7 @@
         {
             //TODO: many of the thrown exceptions do not use the correct error codes
             //check these against the docs and correct them
-            throw new NotAuthorized("1000", "User " + username + " is not authorized to create content." +
+            throw new NotAuthorized("1100", "User " + username + " is not authorized to create content." +
                     "  If you are not logged in, please do so and retry the request.");
         }
         
@@ -440,7 +440,7 @@
         }
         catch(Exception e)
         {
-            throw new ServiceFailure("1030", "Error updating document in CrudService: " + e.getMessage());
+            throw new ServiceFailure("1310", "Error updating document in CrudService: " + e.getMessage());
         }
     }
     
@@ -895,7 +895,7 @@
             throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
             NotImplemented {
         logCrud.info("delete");
-        throw new NotImplemented("1000", "This method not yet implemented.");
+        throw new NotImplemented("1321", "This method not yet implemented.");
     }
 
     /**
@@ -905,7 +905,7 @@
             throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
             NotImplemented {
         logCrud.info("describe");
-        throw new NotImplemented("1000", "This method not yet implemented.");
+        throw new NotImplemented("1361", "This method not yet implemented.");
     }
     
     /**
@@ -1030,7 +1030,7 @@
         }
         catch(Exception e)
         {
-            throw new ServiceFailure("1000", "Error getting checksum: " + e.getMessage());
+            throw new ServiceFailure("1410", "Error getting checksum: " + e.getMessage());
         }
         Checksum c = new Checksum();
         c.setAlgorithm(ChecksumAlgorithm.convert(checksumAlgorithm));
@@ -1221,25 +1221,25 @@
                                 groupnames, true, params);
                     } catch (PropertyNotFoundException e) {
                         e.printStackTrace();
-                        throw new ServiceFailure("1030", "Property not found while reading system metadata from metacat: " + e.getMessage());
+                        throw new ServiceFailure("1090", "Property not found while reading system metadata from metacat: " + e.getMessage());
                     } catch (ClassNotFoundException e) {
                         e.printStackTrace();
-                        throw new ServiceFailure("1030", "Class not found while reading system metadata from metacat: " + e.getMessage());
+                        throw new ServiceFailure("1090", "Class not found while reading system metadata from metacat: " + e.getMessage());
                     } catch (IOException e) {
                         e.printStackTrace();
-                        throw new ServiceFailure("1030", "IOException while reading system metadata from metacat: " + e.getMessage());
+                        throw new ServiceFailure("1090", "IOException while reading system metadata from metacat: " + e.getMessage());
                     } catch (SQLException e) {
                         e.printStackTrace();
-                        throw new ServiceFailure("1030", "SQLException while reading system metadata from metacat: " + e.getMessage());
+                        throw new ServiceFailure("1090", "SQLException while reading system metadata from metacat: " + e.getMessage());
                     } catch (McdbException e) {
                         e.printStackTrace();
-                        throw new ServiceFailure("1030", "Metacat DB Exception while reading system metadata from metacat: " + e.getMessage());
+                        throw new ServiceFailure("1090", "Metacat DB Exception while reading system metadata from metacat: " + e.getMessage());
                     } catch (ParseLSIDException e) {
                         e.printStackTrace();
-                        throw new NotFound("1020", "Error parsing LSID while reading system metadata from metacat: " + e.getMessage());
+                        throw new NotFound("1060", "Error parsing LSID while reading system metadata from metacat: " + e.getMessage());
                     } catch (InsufficientKarmaException e) {
                         e.printStackTrace();
-                        throw new NotAuthorized("1000", "User not authorized for get() on system metadata: " + e.getMessage());
+                        throw new NotAuthorized("1040", "User not authorized for get() on system metadata: " + e.getMessage());
                     }
 
                     return "Completed";
@@ -1261,7 +1261,7 @@
             
         } catch (McdbDocNotFoundException e) {
             //e.printStackTrace();
-            throw new NotFound("1000", e.getMessage());
+            throw new NotFound("1040", e.getMessage());
         }                
     }
     