Index: lib/style/skins/semtools/resultset.xsl
===================================================================
--- lib/style/skins/semtools/resultset.xsl	(revision 5675)
+++ lib/style/skins/semtools/resultset.xsl	(revision 5676)
@@ -127,7 +127,7 @@
 						</xsl:choose>
 					</xsl:attribute>
 	
-					<td colspan="1" class="text_plain">
+					<td colspan="2" class="text_plain">
 						<a>
 							<xsl:attribute name="href">
 								<xsl:value-of select="$tripleURI"/><xsl:value-of select="./docid"/>
@@ -150,83 +150,61 @@
 						</xsl:choose>
 					</xsl:attribute>
 	
-					<td class="text_plain">
+					<td class="text_plain" width="30%">
 					
-						<table width="100%">
+						<!-- render the annotation -->
+						<xsl:for-each select="./*[local-name()='annotation']">
+							<xsl:call-template name="annotation">
+								 <xsl:with-param name="showAll" select="false"/>
+							</xsl:call-template>	
+						</xsl:for-each>
+						
+									
+					</td>
+							
+					<td width="70%">
+								
+						<!-- render the DP details -->
+						<table class="subGroup subGroup_border onehundred_percent">
 							<tr>
+								<th>
+									Owner[s]
+								</th>
+								<th>
+									Organizations[s]
+								</th>
+								<th>
+									Keyword[s]
+								</th>
+							</tr>
+							<tr>
 								<td>
-									<!-- render the annotation -->
-									<xsl:for-each select="./*[local-name()='annotation']">
-										<xsl:call-template name="annotation">
-											 <xsl:with-param name="showAll" select="false"/>
-										</xsl:call-template>	
+									<xsl:for-each
+										select="./param[@name='creator/individualName/surName']">
+										<xsl:value-of select="." />
+										<br/>
 									</xsl:for-each>
 								</td>
-								
+							</tr>
+							<tr>
 								<td>
-								
-									<!-- render people -->
-									<table class="subGroup subGroup_border">
-										<tr>
-											<th>
-												Owner[s]
-											</th>
-										</tr>
-										<xsl:for-each
-											select="./param[@name='creator/individualName/surName']">
-											<tr>
-												<td>
-													<xsl:value-of select="." />
-												</td>
-											</tr>
-										</xsl:for-each>
-									</table>
-									
+									<xsl:for-each
+										select="./param[@name='creator/organizationName']">
+										<xsl:value-of select="." />
+										<br/>
+									</xsl:for-each>
 								</td>
-								
+							</tr>
+							<tr>
 								<td>
-								
-									<!-- render orgs -->
-									<table class="subGroup subGroup_border">
-										<tr>
-											<th>
-												Organizations[s]
-											</th>
-										</tr>
-										<xsl:for-each
-											select="./param[@name='creator/organizationName']">
-											<tr>
-												<td>
-													<xsl:value-of select="." />
-												</td>
-											</tr>
-										</xsl:for-each>
-									</table>
-									
+									<xsl:for-each
+										select="./param[@name='keyword']">
+										<xsl:value-of select="." />
+										<br/>
+									</xsl:for-each>
 								</td>
-								
-								<td>
-								
-									<!-- render keywords -->
-									<table class="subGroup subGroup_border">
-										<tr>
-											<th>
-												Keyword[s]
-											</th>
-										</tr>
-										<xsl:for-each
-											select="./param[@name='keyword']">
-											<tr>
-												<td>
-													<xsl:value-of select="." />
-												</td>
-											</tr>
-										</xsl:for-each>
-									</table>
-									
-								</td>
-							</tr>		
-						</table>	
+							</tr>			
+						</table>
 						
 					</td>
 	
Index: lib/style/skins/semtools/index.jsp
===================================================================
--- lib/style/skins/semtools/index.jsp	(revision 5675)
+++ lib/style/skins/semtools/index.jsp	(revision 5676)
@@ -265,7 +265,7 @@
 			// collapsible search results?
 			$(function() {
 				$('.accordian').click(function() {
-					$(this).next().slideToggle();
+					$(this).next().slideToggle("slow");
 					return false;
 				}).next().hide();
 			});