Index: lib/web.xml.tomcat5
===================================================================
--- lib/web.xml.tomcat5	(revision 5690)
+++ lib/web.xml.tomcat5	(revision 5691)
@@ -367,32 +367,32 @@
 
     <servlet-mapping>
         <servlet-name>RestServlet</servlet-name>
-        <url-pattern>/object/*</url-pattern>
+        <url-pattern>/d1/object/*</url-pattern>
     </servlet-mapping>
     
     <servlet-mapping>
         <servlet-name>RestServlet</servlet-name>
-        <url-pattern>/meta/*</url-pattern>
+        <url-pattern>/d1/meta/*</url-pattern>
     </servlet-mapping>
 
     <servlet-mapping>
         <servlet-name>RestServlet</servlet-name>
-        <url-pattern>/session/*</url-pattern>
+        <url-pattern>/d1/session/*</url-pattern>
     </servlet-mapping>
 
     <servlet-mapping>
         <servlet-name>RestServlet</servlet-name>
-        <url-pattern>/identifier/*</url-pattern>
+        <url-pattern>/d1/identifier/*</url-pattern>
     </servlet-mapping>
     
     <servlet-mapping>
         <servlet-name>RestServlet</servlet-name>
-        <url-pattern>/log/*</url-pattern>
+        <url-pattern>/d1/log/*</url-pattern>
     </servlet-mapping>
     
     <servlet-mapping>
         <servlet-name>RestServlet</servlet-name>
-        <url-pattern>/checksum/*</url-pattern>
+        <url-pattern>/d1/checksum/*</url-pattern>
     </servlet-mapping>
 
 
Index: src/edu/ucsb/nceas/metacat/restservice/ResourceHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/restservice/ResourceHandler.java	(revision 5690)
+++ src/edu/ucsb/nceas/metacat/restservice/ResourceHandler.java	(revision 5691)
@@ -253,14 +253,17 @@
         logMetacat = Logger.getLogger(ResourceHandler.class);
         try {
             String resource = request.getServletPath();
+            //substring off the /d1/
+            resource = resource.substring(resource.indexOf("d1/") + 3, resource.length());
+            resource = resource.trim();
             String verb = "";
             
-            System.out.println("handling verb " + httpVerb + " request with resource " + resource);
+            System.out.println("handling verb " + httpVerb + " request with resource '" + resource + "'");
             boolean status = false;
             loadSessionData();
 
             if (resource != null) {
-                resource = request.getServletPath().substring(1);
+                //resource = request.getServletPath().substring(1);
 
                 params = new Hashtable<String, String[]>();
                 initParams();
@@ -271,6 +274,7 @@
                 if (resource.equals(RESOURCE_SESSION) && 
                         httpVerb == POST && 
                         params.get(FUNCTION_KEYWORD) != null) {
+                    System.out.println("Using resource 'session'");
                     //System.out.println("function_keyword: " + params.get(FUNCTION_KEYWORD)[0]);
                     if (params.get(FUNCTION_KEYWORD)[0].equals(FUNCTION_NAME_LOGIN)) {
                         login();
@@ -284,6 +288,7 @@
                         //System.out.println("done setting access");
                     }
                 } else if (resource.equals(RESOURCE_META)) {
+                    System.out.println("Using resource 'meta'");
                     if(params != null && params.get(FUNCTION_KEYWORD) != null &&
                             params.get(FUNCTION_KEYWORD)[0].equals(FUNCTION_NAME_GENERATE_MISSING_SYSTEM_METADATA))
                     { //generate system metadata for any object that is
@@ -307,6 +312,7 @@
                     }
 
                 } else if (resource.equals(RESOURCE_OBJECTS)) {
+                    System.out.println("Using resource 'object'");
                     logMetacat.debug("D1 Rest: Starting resource processing...");
                     loadSessionData();
 
@@ -341,7 +347,7 @@
                     
 
                 } else if (resource.equals(RESOURCE_IDENTIFIER)) {
-
+                    System.out.println("Using resource 'identifier'");
                     String identifierId = request.getPathInfo();
                     if (identifierId != null && identifierId.length() > 1)
                         identifierId = request.getPathInfo().substring(1); //trim the slash
@@ -373,6 +379,7 @@
                     }
 
                 } else if (resource.equals(RESOURCE_LOG)) {
+                    System.out.println("Using resource 'log'");
                     //handle log events
                     if(httpVerb == GET)
                     {
@@ -388,8 +395,8 @@
                     }
 
                 } else if(resource.equals(RESOURCE_CHECKSUM)) {
+                    System.out.println("Using resource 'checksum'");
                     //handle checksum requests
-                    System.out.println("Handling getChecksum request");
                     if(httpVerb == GET)
                     {
                         String guid = null;