Index: lib/style/skins/sanparks/searchPathQuery.js
===================================================================
--- lib/style/skins/sanparks/searchPathQuery.js	(revision 5815)
+++ lib/style/skins/sanparks/searchPathQuery.js	(revision 5816)
@@ -16,7 +16,9 @@
 	queryString += "<returnfield>creator/individualName/surName</returnfield>";
 	queryString += "<returnfield>creator/organizationName</returnfield>";
 	queryString += "<returnfield>dataset/title</returnfield>";
+	queryString += "<returnfield>dataset/title/value</returnfield>";
 	queryString += "<returnfield>keyword</returnfield>";
+	queryString += "<returnfield>keyword/value</returnfield>";
 	queryString += "<returnfield>creator/individualName/givenName</returnfield>";
 	queryString += "<returnfield>idinfo/citation/citeinfo/title</returnfield>";
 	queryString += "<returnfield>idinfo/citation/citeinfo/origin</returnfield>";
@@ -93,11 +95,14 @@
 		var counter = 0;
 		//EML fields
 		searchFieldArray[counter++] = "abstract/para";
+		searchFieldArray[counter++] = "abstract/para/value";
 		searchFieldArray[counter++] = "surName";
 		searchFieldArray[counter++] = "givenName";
 		searchFieldArray[counter++] = "organizationName";		
 		searchFieldArray[counter++] = "title";
+		searchFieldArray[counter++] = "title/value";
 		searchFieldArray[counter++] = "keyword";
+		searchFieldArray[counter++] = "keyword/value";
 		searchFieldArray[counter++] = "para";
 		searchFieldArray[counter++] = "geographicDescription";
 		searchFieldArray[counter++] = "literalLayout";
Index: lib/style/skins/default/include_searchbox.jsp
===================================================================
--- lib/style/skins/default/include_searchbox.jsp	(revision 5815)
+++ lib/style/skins/default/include_searchbox.jsp	(revision 5816)
@@ -101,6 +101,10 @@
                                 submitFormObj.operator.value="UNION";
                                 var abs = document.getElementById("abstract");
                                 abs.value=searchString;
+                                var abstractValue = document.getElementById("abstractValue");
+                                abstractValue.value=searchString;
+                                var keywordValue = document.getElementById("keywordValue");
+                        		keywordValue.value=searchString;
                         } else {
                                 searchBox.name = "anyfield";
                                 searchBox.id = "searchBox";
@@ -116,6 +120,10 @@
                                 submitFormObj.operator.value="INTERSECT";
                                 var abs = document.getElementById("abstract");
                                 abs.value="";
+                                var abstractValue = document.getElementById("abstractValue");
+                                abstractValue.value="";
+                                var keywordValue = document.getElementById("keywordValue");
+                        		keywordValue.value="";
 
 			 }
                 } else {
@@ -132,6 +140,10 @@
                         submitFormObj.operator.value="INTERSECT";
                         var abs = document.getElementById("abstract");
                         abs.value="";
+                        var abstractValue = document.getElementById("abstractValue");
+                        abstractValue.value="";
+                        var keywordValue = document.getElementById("keywordValue");
+                        keywordValue.value="";
                 }
 
 
@@ -167,10 +179,12 @@
   			    <input type="hidden" name="surName">
   			    <input type="hidden" name="givenName">
   			    <input type="hidden" name="keyword">
+  			    <input type="hidden" name="keyword/value" id="keywordValue">
   			    <input type="hidden" name="para">
   			    <input type="hidden" name="geographicDescription">
   			    <input type="hidden" name="literalLayout">
   			    <input type="hidden" name="abstract/para" id="abstract">
+				<input type="hidden" name="abstract/para/value" id="abstractValue">
                 <table width="100%" border="0" cellpadding="5" cellspacing="0">
                   <tr> 
                     <td width="94" rowspan="2" align="left" valign="top">
Index: lib/style/skins/parc/search.js
===================================================================
--- lib/style/skins/parc/search.js	(revision 5815)
+++ lib/style/skins/parc/search.js	(revision 5816)
@@ -29,7 +29,9 @@
             +"<returnfield>originator/organizationName</returnfield>"
             +"<returnfield>creator/organizationName</returnfield>"
             +"<returnfield>dataset/title</returnfield>"
+            +"<returnfield>dataset/title/value</returnfield>"
             +"<returnfield>keyword</returnfield>"
+            +"<returnfield>keyword/value</returnfield>"
             //fgdc fields
             +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
             +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
@@ -55,6 +57,10 @@
                         +"<pathexpr>/eml/dataset/keywordSet/keyword</pathexpr>"
                     +"</queryterm>"
                     +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>/eml/dataset/keywordSet/keyword/value</pathexpr>"
+	                +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                         +"<value>" + searchString + "</value>"
                         +"<pathexpr>para</pathexpr>"
                     +"</queryterm>"
@@ -71,6 +77,10 @@
                         +"<pathexpr>/eml/dataset/title</pathexpr>"
                     +"</queryterm>"
                     +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>/eml/dataset/title/value</pathexpr>"
+	                +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                         +"<value>" + searchString + "</value>"
                         +"<pathexpr>/eml/@packageId</pathexpr>"
                     +"</queryterm>"
@@ -78,6 +88,10 @@
                         +"<value>" + searchString + "</value>"
                         +"<pathexpr>/eml/dataset/abstract/para</pathexpr>"
                     +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                    +"<value>" + searchString + "</value>"
+                    +"<pathexpr>/eml/dataset/abstract/para/value</pathexpr>"
+                +"</queryterm>"
                 +"</querygroup>"
             +"</querygroup>"
             +"</pathquery>";
@@ -103,7 +117,9 @@
             +"<returnfield>originator/organizationName</returnfield>"
             +"<returnfield>creator/organizationName</returnfield>"
             +"<returnfield>dataset/title</returnfield>"
+            +"<returnfield>dataset/title/value</returnfield>"
             +"<returnfield>keyword</returnfield>"
+            +"<returnfield>keyword/value</returnfield>"
             //fgdc fields
             +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
             +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
Index: lib/style/skins/nceas/search.js
===================================================================
--- lib/style/skins/nceas/search.js	(revision 5815)
+++ lib/style/skins/nceas/search.js	(revision 5816)
@@ -33,7 +33,9 @@
             +"<returnfield>originator/organizationName</returnfield>"
             +"<returnfield>creator/organizationName</returnfield>"
             +"<returnfield>dataset/title</returnfield>"
+            +"<returnfield>dataset/title/value</returnfield>"
             +"<returnfield>keyword</returnfield>"
+            +"<returnfield>keyword/value</returnfield>"
             //fgdc fields
             +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
             +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
@@ -64,6 +66,10 @@
                         +"<pathexpr>keyword</pathexpr>"
                     +"</queryterm>"
                     +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>keyword/value</pathexpr>"
+	                +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                         +"<value>" + searchString + "</value>"
                         +"<pathexpr>para</pathexpr>"
                     +"</queryterm>"
@@ -80,6 +86,10 @@
                         +"<pathexpr>title</pathexpr>"
                     +"</queryterm>"
                     +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>title/value</pathexpr>"
+	                +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                         +"<value>" + searchString + "</value>"
                         +"<pathexpr>@packageId</pathexpr>"
                     +"</queryterm>"
@@ -87,6 +97,10 @@
                         +"<value>" + searchString + "</value>"
                         +"<pathexpr>abstract/para</pathexpr>"
                     +"</queryterm>"
+                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                    +"<value>" + searchString + "</value>"
+	                    +"<pathexpr>abstract/para/value</pathexpr>"
+	                +"</queryterm>"
                     
                     //FGDC fields
                     +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
@@ -138,7 +152,9 @@
             +"<returnfield>originator/organizationName</returnfield>"
             +"<returnfield>creator/organizationName</returnfield>"
             +"<returnfield>dataset/title</returnfield>"
+            +"<returnfield>dataset/title/value</returnfield>"
             +"<returnfield>keyword</returnfield>"
+            +"<returnfield>keyword/value</returnfield>"
             //fgdc fields
             +"<returnfield>idinfo/citation/citeinfo/title</returnfield>"
             +"<returnfield>idinfo/citation/citeinfo/origin</returnfield>"
Index: lib/style/skins/obfs/index.jsp
===================================================================
--- lib/style/skins/obfs/index.jsp	(revision 5815)
+++ lib/style/skins/obfs/index.jsp	(revision 5816)
@@ -77,8 +77,10 @@
                                                            +"<returnfield>creator/individualName/givenName</returnfield>"
                                                            +"<returnfield>originator/organizationName</returnfield>"
                                                            +"<returnfield>creator/organizationName</returnfield>"
+                                                           +"<returnfield>dataset/title/value</returnfield>"
                                                            +"<returnfield>dataset/title</returnfield>"
                                                            +"<returnfield>keyword</returnfield>"
+                                                           +"<returnfield>keyword/value</returnfield>"
                                                            +"<querygroup operator=\"INTERSECT\">"
                                                                 +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                         +"<value>Organization of Biological Field Stations</value>"
@@ -99,6 +101,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>keyword/value</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                          +"<pathexpr>para</pathexpr>"
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
@@ -115,6 +121,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>title/value</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>@packageId</pathexpr>"
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
@@ -121,6 +131,10 @@
                                                                                 +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>abstract/para/value</pathexpr>"
+                                                                        +"</queryterm>"
                                                                 +"</querygroup>"
                                                           +"</querygroup>"
                                                   +"</pathquery>";
@@ -148,7 +162,9 @@
                                                            +"<returnfield>originator/organizationName</returnfield>"
                                                            +"<returnfield>creator/organizationName</returnfield>"
                                                            +"<returnfield>dataset/title</returnfield>"
+                                                           +"<returnfield>dataset/title/value</returnfield>"
                                                            +"<returnfield>keyword</returnfield>"
+                                                           +"<returnfield>keyword/value</returnfield>"
                                                            +"<querygroup operator=\"INTERSECT\">"
                                                                 +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                         +"<value>Organization of Biological Field Stations</value>"
Index: lib/style/skins/obfs/header.jsp
===================================================================
--- lib/style/skins/obfs/header.jsp	(revision 5815)
+++ lib/style/skins/obfs/header.jsp	(revision 5816)
@@ -64,7 +64,9 @@
                                                            +"<returnfield>originator/organizationName</returnfield>"
                                                            +"<returnfield>creator/organizationName</returnfield>"
                                                            +"<returnfield>dataset/title</returnfield>"
+                                                           +"<returnfield>dataset/title/value</returnfield>"
                                                            +"<returnfield>keyword</returnfield>"
+                                                           +"<returnfield>keyword/value</returnfield>"
                                                            +"<querygroup operator=\"INTERSECT\">"
                                                                 +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                         +"<value>Organization of Biological Field Stations</value>"
@@ -85,6 +87,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>keyword/value</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>para</pathexpr>"
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
@@ -101,6 +107,10 @@
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>title/value</pathexpr>"
+                                                                        +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>@packageId</pathexpr>"
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
@@ -107,6 +117,10 @@
                                                                                 +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                                                                +"<value>" + searchString + "</value>"
+                                                                                +"<pathexpr>abstract/para/value</pathexpr>"
+                                                                        +"</queryterm>"
                                                                 +"</querygroup>"
                                                           +"</querygroup>"
                                                   +"</pathquery>";
Index: lib/style/skins/nrs/index.jsp
===================================================================
--- lib/style/skins/nrs/index.jsp	(revision 5815)
+++ lib/style/skins/nrs/index.jsp	(revision 5816)
@@ -78,7 +78,9 @@
                                 	                   +"<returnfield>originator/organizationName</returnfield>"
                                         	           +"<returnfield>creator/organizationName</returnfield>"
                                                 	   +"<returnfield>dataset/title</returnfield>"
+                                                	   +"<returnfield>dataset/title/value</returnfield>"
 	                                                   +"<returnfield>keyword</returnfield>"
+	                                                   +"<returnfield>keyword/value</returnfield>"
         	                                           +"<querygroup operator=\"INTERSECT\">"
 							   	+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                         	                           		+"<value>University of California Natural Reserve System</value>"
@@ -99,6 +101,10 @@
 									+"</queryterm>"
 									+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
 							     			+"<value>" + searchString + "</value>"
+							     			+"<pathexpr>keyword/value</pathexpr>"
+									+"</queryterm>"
+									+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+							     			+"<value>" + searchString + "</value>"
 							     			+"<pathexpr>para</pathexpr>"
 									+"</queryterm>"
 									+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
@@ -113,14 +119,22 @@
 							     			+"<value>" + searchString + "</value>"
 							     			+"<pathexpr>title</pathexpr>"
 									+"</queryterm>"
-                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
-                                                                                +"<value>" + searchString + "</value>"
-                                                                                +"<pathexpr>@packageId</pathexpr>"
-                                                                        +"</queryterm>"
 									+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
 							     			+"<value>" + searchString + "</value>"
+							     			+"<pathexpr>title/value</pathexpr>"
+									+"</queryterm>"
+                                    +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+                                            +"<value>" + searchString + "</value>"
+                                            +"<pathexpr>@packageId</pathexpr>"
+                                    +"</queryterm>"
+									+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+							     			+"<value>" + searchString + "</value>"
 							     			+"<pathexpr>abstract/para</pathexpr>"
 									+"</queryterm>"
+									+"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+							     			+"<value>" + searchString + "</value>"
+							     			+"<pathexpr>abstract/para/value</pathexpr>"
+									+"</queryterm>"
 							   	+"</querygroup>"
 							  +"</querygroup>"
 						  +"</pathquery>";
@@ -148,7 +162,9 @@
                                                            +"<returnfield>originator/organizationName</returnfield>"
                                                            +"<returnfield>creator/organizationName</returnfield>"
                                                            +"<returnfield>dataset/title</returnfield>"
+                                                           +"<returnfield>dataset/title/value</returnfield>"
                                                            +"<returnfield>keyword</returnfield>"
+                                                           +"<returnfield>keyword/value</returnfield>"
                                                            +"<querygroup operator=\"INTERSECT\">"
                                                                 +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                         +"<value>University of California Natural Reserve System</value>"
Index: lib/style/skins/nrs/header.jsp
===================================================================
--- lib/style/skins/nrs/header.jsp	(revision 5815)
+++ lib/style/skins/nrs/header.jsp	(revision 5816)
@@ -63,7 +63,9 @@
                                                            +"<returnfield>originator/organizationName</returnfield>"
                                                            +"<returnfield>creator/organizationName</returnfield>"
                                                            +"<returnfield>dataset/title</returnfield>"
+                                                           +"<returnfield>dataset/title/value</returnfield>"
                                                            +"<returnfield>keyword</returnfield>"
+                                                           +"<returnfield>keyword/value</returnfield>"
                                                            +"<querygroup operator=\"INTERSECT\">"
                                                                 +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                         +"<value>University of California Natural Reserve System</value>"
@@ -83,6 +85,10 @@
                                                                                 +"<pathexpr>keyword</pathexpr>"
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                                                                        +"<value>" + searchString + "</value>"
+	                                                                        +"<pathexpr>keyword/value</pathexpr>"
+	                                                                +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>para</pathexpr>"
                                                                         +"</queryterm>"
@@ -99,6 +105,10 @@
                                                                                 +"<pathexpr>title</pathexpr>"
                                                                         +"</queryterm>"
                                                                         +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                                                                        +"<value>" + searchString + "</value>"
+	                                                                        +"<pathexpr>title/value</pathexpr>"
+	                                                                +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
                                                                                 +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>@packageId</pathexpr>"
                                                                         +"</queryterm>"
@@ -106,6 +116,10 @@
                                                                                 +"<value>" + searchString + "</value>"
                                                                                 +"<pathexpr>abstract/para</pathexpr>"
                                                                         +"</queryterm>"
+                                                                        +"<queryterm searchmode=\"contains\" casesensitive=\"false\">"
+	                                                                        +"<value>" + searchString + "</value>"
+	                                                                        +"<pathexpr>abstract/para/value</pathexpr>"
+	                                                                +"</queryterm>"
                                                                 +"</querygroup>"
                                                           +"</querygroup>"
                                                   +"</pathquery>";
Index: lib/style/skins/saeon/searchPathQuery.js
===================================================================
--- lib/style/skins/saeon/searchPathQuery.js	(revision 5815)
+++ lib/style/skins/saeon/searchPathQuery.js	(revision 5816)
@@ -16,7 +16,9 @@
 	queryString += "<returnfield>creator/individualName/surName</returnfield>";
 	queryString += "<returnfield>creator/organizationName</returnfield>";
 	queryString += "<returnfield>dataset/title</returnfield>";
+	queryString += "<returnfield>dataset/title/value</returnfield>";
 	queryString += "<returnfield>keyword</returnfield>";
+	queryString += "<returnfield>keyword/value</returnfield>";
 	queryString += "<returnfield>creator/individualName/givenName</returnfield>";
 	queryString += "<returnfield>idinfo/citation/citeinfo/title</returnfield>";
 	queryString += "<returnfield>idinfo/citation/citeinfo/origin</returnfield>";
@@ -93,11 +95,14 @@
 		var counter = 0;
 		//EML fields
 		searchFieldArray[counter++] = "abstract/para";
+		searchFieldArray[counter++] = "abstract/para/value";
 		searchFieldArray[counter++] = "surName";
 		searchFieldArray[counter++] = "givenName";
 		searchFieldArray[counter++] = "organizationName";		
 		searchFieldArray[counter++] = "title";
+		searchFieldArray[counter++] = "title/value";
 		searchFieldArray[counter++] = "keyword";
+		searchFieldArray[counter++] = "keyword/value";
 		searchFieldArray[counter++] = "para";
 		searchFieldArray[counter++] = "geographicDescription";
 		searchFieldArray[counter++] = "literalLayout";
Index: lib/style/skins/esa/index.jsp
===================================================================
--- lib/style/skins/esa/index.jsp	(revision 5815)
+++ lib/style/skins/esa/index.jsp	(revision 5816)
@@ -74,9 +74,13 @@
 	                        submitFormObj.para.value = searchString;
         	                submitFormObj.geographicDescription.value = searchString;
                 	        submitFormObj.literalLayout.value = searchString;
-				submitFormObj.operator.value="UNION";
+							submitFormObj.operator.value="UNION";
 	                        var abs = document.getElementById("abstract");
         	                abs.value=searchString;
+        	                var abstractValue = document.getElementById("abstractValue");
+	                        abstractValue.value="";
+	                        var keywordValue = document.getElementById("keywordValue");
+	                        keywordValue.value="";
 	                        var pid = document.getElementById("packageId");
         	                pid.value=searchString;
 			} else {
@@ -92,8 +96,12 @@
                                 submitFormObj.operator.value="INTERSECT";
                                 var abs = document.getElementById("abstract");
                                 abs.value="";
-	                        var pid = document.getElementById("packageId");
-        	                pid.value="";
+                                var abstractValue = document.getElementById("abstractValue");
+		                        abstractValue.value="";
+		                        var keywordValue = document.getElementById("keywordValue");
+		                        keywordValue.value="";
+		                        var pid = document.getElementById("packageId");
+	        	                pid.value="";
 			}
                 } else {
                         searchBox.name = "anyfield";
@@ -108,8 +116,12 @@
                         submitFormObj.operator.value="INTERSECT";
                         var abs = document.getElementById("abstract");
                         abs.value="";
-	                var pid = document.getElementById("packageId");
-        	        pid.value="";
+                        var abstractValue = document.getElementById("abstractValue");
+                        abstractValue.value="";
+                        var keywordValue = document.getElementById("keywordValue");
+                        keywordValue.value="";
+		                var pid = document.getElementById("packageId");
+	        	        pid.value="";
 		}
 
                 var knbCheckBox = document.getElementById("knbCheckBox");
@@ -166,11 +178,13 @@
   <input type="hidden" name="surName">
   <input type="hidden" name="givenName">
   <input type="hidden" name="keyword">
+  <input type="hidden" name="keyword/value" id="keywordValue">
   <input type="hidden" name="para">
   <input type="hidden" name="geographicDescription">
   <input type="hidden" name="literalLayout">
   <input type="hidden" name="@packageId" id="packageId">
   <input type="hidden" name="abstract/para" id="abstract">
+  <input type="hidden" name="abstract/para/value" id="abstractValue">
   <input name="qformat" value="esa" type="hidden">
   <input name="returnfield" value="originator/individualName/surName" type="hidden">
   <input name="returnfield" value="originator/individualName/givenName" type="hidden">
@@ -179,7 +193,9 @@
   <input name="returnfield" value="originator/organizationName" type="hidden">
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
+  <input name="returnfield" value="dataset/title/value" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returnfield" value="keyword/value" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.1.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.1.0" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
Index: lib/style/common/common-settings.jsp
===================================================================
--- lib/style/common/common-settings.jsp	(revision 5815)
+++ lib/style/common/common-settings.jsp	(revision 5816)
@@ -36,7 +36,9 @@
 			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"creator/individualName/surName\"\\>\n"
 			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"creator/organizationName\"\\>\n"
 			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"dataset/title\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"dataset/title/value\"\\>\n"
 			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"keyword\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"keyword/value\"\\>\n"
 			+ "<input name=\"returnfield\" value=\"creator/individualName/givenName\" type=\"hidden\">\n"
 			+ "<input name=\"returnfield\" value=\"idinfo/citation/citeinfo/title\" type=\"hidden\">\n"
 			+ "<input name=\"returnfield\" value=\"idinfo/citation/citeinfo/origin\" type=\"hidden\">\n"
Index: lib/style/common/resultset-table.xsl
===================================================================
--- lib/style/common/resultset-table.xsl	(revision 5815)
+++ lib/style/common/resultset-table.xsl	(revision 5816)
@@ -120,7 +120,15 @@
                                             &#187;&#160;
                                         </xsl:text>
                                         <xsl:choose>
-                                            <xsl:when test="./param[@name='dataset/title']!=''"><xsl:value-of select="./param[@name='dataset/title']" />
+                                            <xsl:when test="./param[@name='dataset/title']!=''">
+                                            	<xsl:value-of select="./param[@name='dataset/title']" />
+                                            	<xsl:if test="count(./param[@name='dataset/title/value']) != 0">
+                                            		<br/>
+	                                            	<xsl:for-each select="./param[@name='dataset/title/value']" >
+														<xsl:value-of select="." />
+														<br/>
+	                                            	</xsl:for-each>
+	                                            </xsl:if>
                                             </xsl:when>
                                             <xsl:otherwise>
                                                 <xsl:value-of select="./param[@name='citation/title']" />
@@ -172,6 +180,11 @@
                                     <br />
                                 </xsl:for-each>
                                 <xsl:for-each
+                                    select="./param[@name='keyword/value']">
+                                    <xsl:value-of select="." />
+                                    <br />
+                                </xsl:for-each>
+                                <xsl:for-each
                                     select="./param[@name='idinfo/keywords/theme/themekey']">
                                     <xsl:value-of select="." />
                                     <br />