Index: src/edu/ucsb/nceas/metacat/dataone/CrudService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/CrudService.java	(revision 5920)
+++ src/edu/ucsb/nceas/metacat/dataone/CrudService.java	(revision 5921)
@@ -33,7 +33,6 @@
 import java.security.NoSuchAlgorithmException;
 import java.sql.SQLException;
 import java.text.DateFormat;
-import java.text.SimpleDateFormat;
 import java.util.Calendar;
 import java.util.Date;
 import java.util.Enumeration;
@@ -115,8 +114,6 @@
     
     private String metacatUrl;
     
-    private static final DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ");
-
     /**
      * singleton accessor
      */
@@ -179,7 +176,8 @@
      */
     public void setParamsFromRequest(HttpServletRequest request)
     {
-        Enumeration paramlist = request.getParameterNames();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> paramlist = request.getParameterNames();
         while (paramlist.hasMoreElements()) {
             String name = (String) paramlist.nextElement();
             String[] value = (String[])request.getParameterValues(name);
@@ -368,7 +366,8 @@
             Vector v = (Vector)h.get("access");
             for(int i=0; i<v.size(); i++)
             {
-                Hashtable ah = (Hashtable)v.elementAt(i);
+                @SuppressWarnings("unchecked")
+                Hashtable<String, String> ah = (Hashtable<String, String>)v.elementAt(i);
                 String principal = (String)ah.get("principal_name");
                 String permission = (String)ah.get("permission");
                 String permissionType = (String)ah.get("permission_type");
@@ -413,7 +412,7 @@
             //find the old systemmetadata (sm.old) document id (the one linked to obsoletedGuid)
             SystemMetadata sm = getSystemMetadata(token, obsoletedGuid);
             //change sm.old's obsoletedBy field 
-            List l = sm.getObsoletedByList();
+            List<Identifier> l = sm.getObsoletedByList();
             l.add(guid);
             sm.setObsoletedByList(l);
             //update sm.old
@@ -1755,13 +1754,13 @@
     /**
      * serialize a dataone type
      */
-    private void serializeServiceType(Class type, Object object, OutputStream out)
-        throws JiBXException
-    {
-        IBindingFactory bfact = BindingDirectory.getFactory(type);
-        IMarshallingContext mctx = bfact.createMarshallingContext();
-        mctx.marshalDocument(object, "UTF-8", null, out);
-    }
+//    private void serializeServiceType(Class type, Object object, OutputStream out)
+//        throws JiBXException
+//    {
+//        IBindingFactory bfact = BindingDirectory.getFactory(type);
+//        IMarshallingContext mctx = bfact.createMarshallingContext();
+//        mctx.marshalDocument(object, "UTF-8", null, out);
+//    }
     
     /**
      * serialize a system metadata doc
@@ -2014,24 +2013,24 @@
     /**
      * create the listObjects pathQuery document
      */
-    private String createListObjectsPathQueryDocument()
-        throws PropertyNotFoundException
-    {
-        String s = "<pathquery>";
-        s += "<returndoctype>" + PropertyService.getProperty("crudService.listObjects.ReturnDoctype") + "</returndoctype>";
-        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.1") + "</returnfield>";
-        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.2") + "</returnfield>";
-        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.3") + "</returnfield>";
-        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.4") + "</returnfield>";
-        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.5") + "</returnfield>";
-        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.6") + "</returnfield>";
-        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.7") + "</returnfield>";
-        s += "<querygroup operator=\"UNION\"><queryterm casesensitive=\"false\" searchmode=\"contains\">";
-        s += "<value>%</value>"; 
-        s += "<pathexpr>" + PropertyService.getProperty("crudService.listObjects.ReturnField.3") + "</pathexpr>";
-        s += "</queryterm></querygroup></pathquery>";
-  
-        return s;
-    }
+//    private String createListObjectsPathQueryDocument()
+//        throws PropertyNotFoundException
+//    {
+//        String s = "<pathquery>";
+//        s += "<returndoctype>" + PropertyService.getProperty("crudService.listObjects.ReturnDoctype") + "</returndoctype>";
+//        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.1") + "</returnfield>";
+//        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.2") + "</returnfield>";
+//        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.3") + "</returnfield>";
+//        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.4") + "</returnfield>";
+//        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.5") + "</returnfield>";
+//        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.6") + "</returnfield>";
+//        s += "<returnfield>" + PropertyService.getProperty("crudService.listObjects.ReturnField.7") + "</returnfield>";
+//        s += "<querygroup operator=\"UNION\"><queryterm casesensitive=\"false\" searchmode=\"contains\">";
+//        s += "<value>%</value>"; 
+//        s += "<pathexpr>" + PropertyService.getProperty("crudService.listObjects.ReturnField.3") + "</pathexpr>";
+//        s += "</queryterm></querygroup></pathquery>";
+//  
+//        return s;
+//    }
 }
 